aboutsummaryrefslogtreecommitdiffstats
AgeCommit message (Collapse)AuthorFilesLines
2019-05-06layer.conf: depends on meta-filesystemswarriorKai Kang1-1/+1
Package glusterfs requires fuse which is from layer meta-filesystems. So update layer.conf to depend on the layer. Signed-off-by: Kai Kang <kai.kang@windriver.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@gmail.com>
2019-05-06librdmacm: set imcompatible with arm 32 and mips archesKai Kang1-0/+3
librdmacm depends on package libibverbs which has been set imcompatible with arm 32 and mips arches by commit 215b975. When build librdmacm it shows errors: | NOTE: Resolving any missing task queue dependencies | ERROR: Nothing PROVIDES 'virtual/libibverbs' (but | .../meta-cloud-services/recipes-extended/librdmacm/librdmacm_1.1.0.bb | DEPENDS on or otherwise requires it) | libibverbs PROVIDES virtual/libibverbs but was skipped: incompatible | with host arm-wrs-linux-gnueabi (not in COMPATIBLE_HOST) | ERROR: Required build target 'librdmacm' has no buildable providers. | Missing or unbuildable dependency chain was: ['librdmacm', 'virtual/libibverbs'] So set librdmacm imcompatible with arm 32 and mips arches too. Signed-off-by: Kai Kang <kai.kang@windriver.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@gmail.com>
2019-05-06glusterfs: remove PACKAGECONFIG libibverbs for arm 32 and mipsKai Kang1-0/+3
Package libibverbs has been set imcompatible with arm 32 and mips arches by commit 215b975. So disable libibverbs support of glusterfs for arm 32 and mips arches too. Signed-off-by: Kai Kang <kai.kang@windriver.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@gmail.com>
2019-05-06glusterfs: set CVE_PRODUCTChen Qi1-0/+1
Signed-off-by: Chen Qi <Qi.Chen@windriver.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@gmail.com>
2019-04-26glusterfs: uprev from v5.4 to v6.1Hongzhi.Song8-44/+51
The release-6.1 fixes a lot of CVEs. Modify parts of patches for v6.1. Remove bd-xlator configure which has been dropped. Signed-off-by: Hongzhi.Song <hongzhi.song@windriver.com>
2019-04-23apache2: remove bbappendYi Zhao1-14/+0
The apache2 in meta-webserver has been upgraded to 2.4.39. This bbappend has been integrated into apache2 recipe. So remove it. Signed-off-by: Yi Zhao <yi.zhao@windriver.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@gmail.com>
2019-04-12libibverbs: do not try to build for arm 32 bit or any mipsJoe Slater1-0/+3
arch.h does not contain macros for 32 bit arm or any mips arch. Signed-off-by: Joe Slater <joe.slater@windriver.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@gmail.com>
2019-04-07consul: don't build with the '-linkshared' optionMark Asselstine1-0/+5
We are currently seeing the following error: type..eUfRrckI: missing section for relocation target type..FEeY9FdU ... This is similar to the reported issues http://www.lyddzz.com/github_/golang/go/issues/30768 and https://github.com/hashicorp/consul/issues/5486 (but this one appears to be a report of 'our' issue so isn't really valid) The go.bbclass currently completes 2 builds (if GO_DYNLINK is set), one without '-linkshared' and one with. The '--linkshared' option is marked as experimental (https://golang.org/cmd/link/ -- "-linkshared Link against installed Go shared libraries (experimental)"). By setting GO_LINKSHARED prior to inheriting go.bbclass we can overwrite the default compile behavior and only perform the build without the '-linkshared' option. This shouldn't change the functionality of consul and we can revert to the default behavior when the issues have been addressed. Signed-off-by: Mark Asselstine <mark.asselstine@windriver.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@gmail.com>
2019-04-02conf: add warrior to layer compatBruce Ashfield9-9/+9
Signed-off-by: Bruce Ashfield <bruce.ashfield@gmail.com>
2019-03-24librdmacm: upgrade to 1.1.0Dengke Du2-8/+19
Signed-off-by: Dengke Du <dengke.du@windriver.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@gmail.com>
2019-03-24libibverbs: upgrade to 1.2.1Dengke Du1-2/+3
Signed-off-by: Dengke Du <dengke.du@windriver.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@gmail.com>
2019-03-24dhcp: Add the default route optionZhixiong Chi1-0/+3
Add the default route option for the operation of adding route, while we set the static route and the mask setting is 0. For example: add_routes 32 169 254 169 254 10 209 67 4 0 10 209 67 1 The first route (169.254.169.254/32 via 10.209.67.4) is added successfully, but the second route (10.209.67.1, default) is not added at all. Signed-off-by: Zhixiong Chi <zhixiong.chi@windriver.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@gmail.com>
2019-03-21glusterfs: fix installed-vs-shipped qa issueKai Kang1-0/+1
Fix installed-vs-shipped qa issue of glusterfs: | ERROR: glusterfs-5.4-r0 do_package: QA Issue: glusterfs: Files/directories were installed but not shipped in any package: | /usr/libexec/glusterfs/mount-shared-storage.sh Signed-off-by: Kai Kang <kai.kang@windriver.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@gmail.com>
2019-03-17python-croniter: Upgrade to 0.3.27Hong Liu1-4/+4
1.Upgrade python-croniter from 0.3.5 to 0.3.27. 2.Modified PKG-INFO due to version update. Signed-off-by: Hong Liu <hongl.fnst@cn.fujitsu.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@gmail.com>
2019-03-17python-cliff: upgrade to 2.14.1Hong Liu1-2/+2
Upgrade python-cliff from 2.9.1 to 2.14.1. Signed-off-by: Hong Liu <hongl.fnst@cn.fujitsu.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@gmail.com>
2019-03-17libvirt: fix GROUPADD_PARAM override conflictDengke Du1-1/+1
The libvirt recipe in meta-virtualization already define the GROUPADD_PARAM, so we should append it, not override. Signed-off-by: Dengke Du <dengke.du@windriver.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@gmail.com>
2019-03-17glusterfs: uprev from v3.11.1 to v5.4Hongzhi.Song20-1601/+143
The latest stable release covers some CVEs and new features. Signed-off-by: Hongzhi.Song <hongzhi.song@windriver.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@gmail.com>
2019-03-08consul: uprev to v1.4.3Hongzhi.Song2-33/+3
Uprev to v1.4.3 and remove invalid patch. Signed-off-by: Hongzhi.Song <hongzhi.song@windriver.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@gmail.com>
2019-03-01kernel: Remove redundant config fragmentHe Zhe1-1/+0
This fixes 01a28c32acb2 ("linux/nf.cfg: CONFIG_NF_CONNTRACK_IPV4 was replaced by CONFIG_NF_CONNTRACK") which duplicates a config fragment and causes the following warning. Warning: Value of CONFIG_NF_CONNTRACK is defined multiple times within fragment tmp-glibc/work-shared/intel-x86-64/kernel-source/.kernel-meta/configs/v4.19/standard/intel-x86/nf.cfg: CONFIG_NF_CONNTRACK=y CONFIG_NF_CONNTRACK=y Signed-off-by: He Zhe <zhe.he@windriver.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@gmail.com>
2019-02-21consul: do not try to build for mipsJoe Slater1-0/+4
Use COMPATIBLE_HOST to prevent building for mipsarch. Signed-off-by: Joe Slater <joe.slater@windriver.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@gmail.com>
2019-02-14python-paramiko:upgrade to 2.4.2Hong Liu1-2/+2
Upgrade python-paramiko from 2.4.1 to 2.4.2 Signed-off-by: Hong Liu <hongl.fnst@cn.fujitsu.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@gmail.com>
2019-02-14python-oslo.config:modify homepageHong Liu1-2/+2
Modify homepage to correspond to new version Signed-off-by: Hong Liu <hongl.fnst@cn.fujitsu.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@gmail.com>
2019-02-14python-amqp:upgrade to 2.4.1Hong Liu1-2/+2
Upgrade python-amqp from 2.3.2 to 2.4.1 Signed-off-by: Hong Liu <hongl.fnst@cn.fujitsu.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@gmail.com>
2019-02-05maintainers: update email addressesBruce Ashfield9-9/+9
Signed-off-by: Bruce Ashfield <bruce.ashfield@gmail.com>
2019-02-03python-waitress:upgrade to 1.2.0Hong Liu1-2/+2
1.Upgrade python-waitress from 1.1.0 to 1.2.0. Signed-off-by: Hong Liu <hongl.fnst@cn.fujitsu.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@gmail.com>
2019-02-03python-kombu:upgrade to 4.2.0Hong Liu1-2/+2
Upgrade python-kombu from 4.2.0 to 4.2.2 Signed-off-by: Hong Liu <hongl.fnst@cn.fujitsu.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@gmail.com>
2019-02-03python-mox3Hong Liu1-1/+1
Fix HOMEPAGE Signed-off-by: Hong Liu <hongl.fnst@cn.fujitsu.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@gmail.com>
2019-01-25linux/nf.cfg: CONFIG_NF_CONNTRACK_IPV4 was replaced by CONFIG_NF_CONNTRACKHongzhi.Song1-1/+1
kernel has replaced CONFIG_NF_CONNTRACK_IPV4 with CONFIG_NF_CONNTRACK. [commit: a0ae2562c] Signed-off-by: Hongzhi.Song <hongzhi.song@windriver.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@windriver.com>
2018-12-21kernel: update bbappends to match oe-coreBruce Ashfield2-0/+9
Signed-off-by: Bruce Ashfield <bruce.ashfield@windriver.com>
2018-11-08postgresql: Fix issue where init script is not found.thudJeremy Puhlman1-1/+1
layers/meta-cloud-services/meta-openstack/recipes-dbs/postgresql/defaultpkgname/ Something changed with the evaluation of :=, such that PN evaluates to defaultpkgname, thus the initscript is not found. Just set it to the correct name. Signed-off-by: Jeremy Puhlman <jpuhlman@mvista.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@windriver.com>
2018-10-31glusterfs: Revert a CVE patch, CVE-2018-10924Hongzhi.Song2-136/+0
The CVE issue exists in v3.12 series and above. Introduced by: [http://git.gluster.org/cgit/glusterfs.git/commit/? id=51dfc9c789b8405f595a337eade938aedcb449c4] More infomation, please see: [https://security-tracker.debian.org/tracker/CVE-2018-10924] The version v3.11.1 doesn't have the issue. So we should revert the CVE-2018-10924. Signed-off-by: Hongzhi.Song <hongzhi.song@windriver.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@windriver.com>
2018-10-25glusterfs: Update SRC_URIMingli Yu1-1/+1
Update SRC_URI for glusterfs as the previous one is invalid. Signed-off-by: Mingli Yu <Mingli.Yu@windriver.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@windriver.com>
2018-10-12librdmacm: Update SRC_URIMingli Yu1-1/+1
Update SRC_URI for librdmacm as the previous one is invalid. Signed-off-by: Mingli Yu <Mingli.Yu@windriver.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@windriver.com>
2018-10-12libibverbs: Update SRC_URIMingli Yu1-1/+1
Update SRC_URI for libibverbs as the previous one is invalid. Signed-off-by: Mingli Yu <Mingli.Yu@windriver.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@windriver.com>
2018-10-11postgresql: make append version independentMingli Yu2-0/+1
Make bbappend version independent and only effective when the openstack distro enabled. Signed-off-by: Mingli Yu <Mingli.Yu@windriver.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@windriver.com>
2018-10-11layer.conf: set PREFERRED_VERSION for python-networkxMingli Yu1-1/+1
Only set PREFERRED_VERSION for python-networkx when the openstack distro is enabled Signed-off-by: Mingli Yu <Mingli.Yu@windriver.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@windriver.com>
2018-10-11sanity-meta-openstack.bbclass: add class for bbappend files checkingMingli Yu3-0/+33
Add a new class sanity-meta-openstack.bbclass, to check whether necessary settings are available for bbappend files and preferred version setting in this layer to be effective and warn users if not. In addition, a variable SKIP_SANITY_META_OPENSTACK_CHECK is added to enable users to explicitly skip the checking to avoid unwanted warnings. Signed-off-by: Mingli Yu <Mingli.Yu@windriver.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@windriver.com>
2018-10-11consul: add INSANE_SKIP for textrelChangqing Li1-0/+3
1. for i586, bitbake consul will have QA error of textrel. consul-git-r0 do_package_qa: QA Issue: ELF binary i 'work/i586-wrs-linux/consul/git-r0/packages-split/consul/usr/bin/consul' has relocations in .text [textrel] according to go doc: -buildmode=pie Build the listed main packages and everything they import into position independent executables (PIE). Packages not named main are ignored. checked use command "eu-findtextrel ./consul", functions not compiled with -fpic/-fPIC are from packages not named main, and also not imported into package main. so -buildmode=pie cannot reslove this problem. so refer commit b689c72a of oe-core, just skip it. 2. This problem is caused since security_flags.inc is used by default. so alternative work around is: SECURITY_CFLAGS_pn-consul = "${SECURITY_NOPIE_CFLAGS}" SECURITY_LDFLAGS_pn-consul = "" Signed-off-by: Changqing Li <changqing.li@windriver.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@windriver.com>
2018-10-09layer.conf: Add thud to LAYERSERIES_COMPATHongxu Jia8-8/+8
Since `9ec5a8a layer.conf: Drop sumo from LAYERSERIES_CORENAMES' and `9867924 layer.conf: Add thud to LAYERSERIES_CORENAMES' applied in oe-core, add thud to LAYERSERIES_COMPAT Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@windriver.com>
2018-10-09*/layer.conf: Update LAYERDEPENDSMark Hatle15-7/+64
The ruby layer is no longer in meta-openembedded, remove references to that from the README. Implement the LAYERDEPENDS for each of the layers so that the layerindex will populate properly. Signed-off-by: Mark Hatle <mark.hatle@windriver.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@windriver.com>
2018-10-09conf/layer.conf: add `core' to LAYERDEPENDSHongxu Jia1-0/+1
Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@windriver.com>
2018-09-30conf: add thud to compatible releasesBruce Ashfield1-1/+1
Signed-off-by: Bruce Ashfield <bruce.ashfield@windriver.com>
2018-09-30glusterfs: fix CVE-2018-10907Chen Qi2-0/+401
Backport a patch to fix the following CVE. CVE: CVE-2018-10907 Signed-off-by: Chen Qi <Qi.Chen@windriver.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@windriver.com>
2018-09-30glusterfs: fix Fix CVE-2018-10913 and CVE-2018-10914Chen Qi2-0/+298
Backport a patch to fix the following two CVEs. CVE: CVE-2018-10913 CVE: CVE-2018-10914 Signed-off-by: Chen Qi <Qi.Chen@windriver.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@windriver.com>
2018-09-30glusterfs: fix CVE-2018-10924Chen Qi2-0/+136
Backport patch to fix the following CVE. CVE: CVE-2018-10924 Signed-off-by: Chen Qi <Qi.Chen@windriver.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@windriver.com>
2018-09-30glusterfs: fix CVE-2018-10904Chen Qi2-0/+154
Backport patch to fix the following CVE. CVE: CVE-2018-10904 Signed-off-by: Chen Qi <Qi.Chen@windriver.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@windriver.com>
2018-09-30glusterfs: backport patch to fix a few CVEsChen Qi2-0/+74
Backport a patch to fix the following CVEs. CVE: CVE-2018-10926 CVE: CVE-2018-10927 CVE: CVE-2018-10928 CVE: CVE-2018-10929 CVE: CVE-2018-10930 Signed-off-by: Chen Qi <Qi.Chen@windriver.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@windriver.com>
2018-09-30glusterfs: fix CVE-2018-10923Chen Qi2-0/+94
Backport patch to fix the following CVE. CVE: CVE-2018-10923 Signed-off-by: Chen Qi <Qi.Chen@windriver.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@windriver.com>
2018-09-30glusterfs: fix CVE-2018-10911Chen Qi2-0/+40
Backport patch to fix the following CVE. CVE: CVE-2018-10911 Signed-off-by: Chen Qi <Qi.Chen@windriver.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@windriver.com>
2018-09-25consul-migrate: update to use go.bbclassMark Asselstine1-17/+19
We do not want meta-cloud-services to depend on meta-overc so we switch to use the go.bbclass which is now part of oe-core/yocto. We also capture all the licenses for all source packages which are included in consul-migrate and adjust paths to account for the different handling of go.bbclass vs. golang.bbclass. Signed-off-by: Mark Asselstine <mark.asselstine@windriver.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@windriver.com>